在CentOS7中安装node-gyp

注意:装node-gyp至少得有python3.6

安装CentOS SCLo RH

[[email protected] ~]# yum install -y centos-release-scl-rh

安装最新的GCC库

[[email protected] ~]# yum install -y devtoolset-10

找到安装位置

[[email protected] ~]# find / -name "g++"
/usr/bin/g++
/opt/rh/devtoolset-10/root/usr/bin/g++
[[email protected] ~]# cd /opt/rh/devtoolset-10
[[email protected] devtoolset-10]#

启用新版编译环境

[[email protected] devtoolset-10]# source enable

开始安装

[[email protected] devtoolset-10]# npm install

OK,接下来就没啥大问题了,只要Python版本正确即可

暂无评论

发送评论 编辑评论


|´・ω・)ノ
ヾ(≧∇≦*)ゝ
(☆ω☆)
(╯‵□′)╯︵┴─┴
 ̄﹃ ̄
(/ω\)
∠( ᐛ 」∠)_
(๑•̀ㅁ•́ฅ)
→_→
୧(๑•̀⌄•́๑)૭
٩(ˊᗜˋ*)و
(ノ°ο°)ノ
(´இ皿இ`)
⌇●﹏●⌇
(ฅ´ω`ฅ)
(╯°A°)╯︵○○○
φ( ̄∇ ̄o)
ヾ(´・ ・`。)ノ"
( ง ᵒ̌皿ᵒ̌)ง⁼³₌₃
(ó﹏ò。)
Σ(っ °Д °;)っ
( ,,´・ω・)ノ"(´っω・`。)
╮(╯▽╰)╭
o(*////▽////*)q
>﹏<
( ๑´•ω•) "(ㆆᴗㆆ)
😂
😀
😅
😊
🙂
🙃
😌
😍
😘
😜
😝
😏
😒
🙄
😳
😡
😔
😫
😱
😭
💩
👻
🙌
🖕
👍
👫
👬
👭
🌚
🌝
🙈
💊
😶
🙏
🍦
🍉
😣
Source: github.com/k4yt3x/flowerhd
颜文字
Emoji
小恐龙
花!
上一篇
下一篇